### Method

# WebKit2 UserContentManager register_script_message_handler_in_world

#### Declaration [src]

    gboolean
    webkit_user_content_manager_register_script_message_handler_in_world (
      WebKitUserContentManager* manager,
      const gchar* name,
      const gchar* world_name
    )

#### Description [src]

Registers a new user script message handler in script world.

Registers a new user script message handler in script world with name `world_name`. See `webkit_user_content_manager_register_script_message_handler()` for full description.

Registering a script message handler will fail if the requested name has been already registered before.

Available since: | 2.22

#### Parameters

`name` | `const gchar*`
| Name of the script message channel.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`world_name` | `const gchar*`
| The name of a `WebKitScriptWorld`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if message handler was registered successfully, or `FALSE` otherwise.